ZGREP(1)

NAME
zgrep - search possibly compressed files for a regular expression

SYNOPSIS
zgrep [ grep_options ] [ -e ] pattern filename...

DESCRIPTION
Zgrep is used to invoke the grep on compress'ed or gzip'ed files. All options specified are passed directly to grep. If no file is specified, then the standard input is decompressed if necessary and fed to grep. Otherwise the given files are uncompressed if necessary and fed to grep.

If zgrep is invoked as zegrep or zfgrep then egrep or fgrep is used instead of grep. If the GREP environment variable is set, zgrep uses it as the grep program to be invoked. For example:

    for sh: GREP=fgrep zgrep string files
    for csh: (setenv GREP fgrep; zgrep string files)

AUTHOR
Charles Levert (charles@comm.polymtl.ca)

SEE ALSO
grep(1), egrep(1), fgrep(1), zdiff(1), zmore(1), znew(1), zforce(1), gzip(1), gzexe(1)